hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Roman Shaposhnik (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-9961) versions of a few transitive dependencies diverged between hadoop subprojects
Date Fri, 13 Sep 2013 23:08:53 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-9961?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13767132#comment-13767132
] 

Roman Shaposhnik commented on HADOOP-9961:
------------------------------------------

Here's a full list of divergent dependencies:

{noformat}
Dependency convergence error for org.apache.commons:commons-compress:1.4.1 paths to dependency
are:
+-org.apache.hadoop:hadoop-client:3.0.0-SNAPSHOT
  +-org.apache.hadoop:hadoop-common:3.0.0-20130913.204420-3360
    +-org.apache.avro:avro:1.7.4
      +-org.apache.commons:commons-compress:1.4.1
and
+-org.apache.hadoop:hadoop-client:3.0.0-SNAPSHOT
  +-org.apache.hadoop:hadoop-common:3.0.0-20130913.204420-3360
    +-org.apache.commons:commons-compress:1.4

Dependency convergence error for org.jboss.netty:netty:3.2.4.Final paths to dependency are:
+-org.apache.hadoop.contrib:hadoop-hdfs-bkjournal:3.0.0-SNAPSHOT
  +-org.apache.bookkeeper:bookkeeper-server:4.0.0
    +-org.jboss.netty:netty:3.2.4.Final
and
+-org.apache.hadoop.contrib:hadoop-hdfs-bkjournal:3.0.0-SNAPSHOT
  +-org.apache.zookeeper:zookeeper:3.4.2
    +-org.jboss.netty:netty:3.2.2.Final


Dependency convergence error for io.netty:netty:3.5.11.Final paths to dependency are:
+-org.apache.hadoop:hadoop-hdfs-nfs:3.0.0-SNAPSHOT
  +-org.apache.hadoop:hadoop-nfs:3.0.0-SNAPSHOT
    +-io.netty:netty:3.5.11.Final
and
+-org.apache.hadoop:hadoop-hdfs-nfs:3.0.0-SNAPSHOT
  +-io.netty:netty:3.6.2.Final


Dependency convergence error for org.glassfish:javax.servlet:3.0 paths to dependency are:
+-org.apache.hadoop:hadoop-mapreduce-examples:3.0.0-SNAPSHOT
  +-org.apache.hadoop:hadoop-yarn-server-tests:3.0.0-SNAPSHOT
    +-com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:1.8
      +-com.sun.jersey.jersey-test-framework:jersey-test-framework-core:1.8
        +-org.glassfish:javax.servlet:3.0
and
+-org.apache.hadoop:hadoop-mapreduce-examples:3.0.0-SNAPSHOT
  +-org.apache.hadoop:hadoop-yarn-server-tests:3.0.0-SNAPSHOT
    +-com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:1.8
      +-com.sun.jersey:jersey-grizzly2:1.8
        +-org.glassfish:javax.servlet:3.1

Dependency convergence error for org.codehaus.plexus:plexus-utils:2.0.4 paths to dependency
are:
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.0
    +-org.apache.maven:maven-model:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.0
    +-org.apache.maven:maven-artifact:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.0
    +-org.sonatype.sisu:sisu-inject-plexus:1.4.2
      +-org.codehaus.plexus:plexus-utils:2.0.5
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-settings:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-settings-builder:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-repository-metadata:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-model-builder:3.0
      +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.codehaus.plexus:plexus-utils:2.0.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.sonatype.plexus:plexus-sec-dispatcher:1.3
      +-org.codehaus.plexus:plexus-utils:1.5.5

Dependency convergence error for org.codehaus.plexus:plexus-component-annotations:1.5.4 paths
to dependency are:
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.0
    +-org.sonatype.sisu:sisu-inject-plexus:1.4.2
      +-org.codehaus.plexus:plexus-component-annotations:1.5.4
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-settings-builder:3.0
      +-org.codehaus.plexus:plexus-component-annotations:1.5.5
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-model-builder:3.0
      +-org.codehaus.plexus:plexus-component-annotations:1.5.5
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.apache.maven:maven-aether-provider:3.0
      +-org.codehaus.plexus:plexus-component-annotations:1.5.5
and
+-org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT
  +-org.apache.maven:maven-core:3.0
    +-org.codehaus.plexus:plexus-component-annotations:1.5.5
{noformat}
                
> versions of a few transitive dependencies diverged between hadoop subprojects
> -----------------------------------------------------------------------------
>
>                 Key: HADOOP-9961
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9961
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 3.0.0
>            Reporter: Roman Shaposhnik
>            Assignee: Roman Shaposhnik
>            Priority: Minor
>
> I've noticed a few divergences between secondary dependencies of the various hadoop subprojects.
For example:
> {noformat}
> [ERROR]
> Dependency convergence error for org.apache.commons:commons-compress:1.4.1 paths to dependency
are:
> +-org.apache.hadoop:hadoop-client:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-common:3.0.0-20130913.204420-3360
>     +-org.apache.avro:avro:1.7.4
>       +-org.apache.commons:commons-compress:1.4.1
> and
> +-org.apache.hadoop:hadoop-client:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-common:3.0.0-20130913.204420-3360
>     +-org.apache.commons:commons-compress:1.4
> {noformat}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message